%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname yubikey

# Use epoch due to previous illegal version number
Epoch:   1
Name:    drupal6-%{modname}
Version: 2.0
Release: 0.1.beta2%{?dist}
Summary: Provides YubiKey based strong two-factor user authentication capabilities
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/yubikey-6.x-2.0-beta2.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
YubiKey is a secure method for logging into many websites using a 
cryptographically secure USB token. It does not require special 
software, and since it does not generate the same OTP (One Time 
Password) more than once, nothing is shared among associated sites.
Users can assign one or more YubiKeys to an existing account, and 
log in using a YubiKey. This offers additional security to the users 
even over insecure connections.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
cp -pr * %{buildroot}%{drupaldir}/modules/%{modname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Mon Aug  8 2011 Paul W. Frields <stickster@gmail.com> - 1:2.0-0.1.beta2
- Bump epoch and move to correct version number

* Wed Mar 02 2011 Eric "Sparks" Christensen - 6.x.2.0.beta2-1
- Initial package
